import request from '@/utils/request'

// 查询通知公告附件列表
export function listEhsNoticeMessageFile(query) {
  return request({
    url: '/ehsNoticeMessageFile/ehsNoticeMessageFile/list',
    method: 'get',
    params: query
  })
}

// 查询通知公告附件详细
export function getEhsNoticeMessageFile(id) {
  return request({
    url: '/ehsNoticeMessageFile/ehsNoticeMessageFile/' + id,
    method: 'get'
  })
}

// 新增通知公告附件
export function addEhsNoticeMessageFile(data) {
  return request({
    url: '/ehsNoticeMessageFile/ehsNoticeMessageFile',
    method: 'post',
    data: data
  })
}

// 修改通知公告附件
export function updateEhsNoticeMessageFile(data) {
  return request({
    url: '/ehsNoticeMessageFile/ehsNoticeMessageFile',
    method: 'put',
    data: data
  })
}

// 删除通知公告附件
export function delEhsNoticeMessageFile(id) {
  return request({
    url: '/ehsNoticeMessageFile/ehsNoticeMessageFile/' + id,
    method: 'delete'
  })
}

// 文件上传列表
export function listFileEhsNoticeMessageFile(query) {
  return request({
    url: '/ehsNoticeMessageFile/ehsNoticeMessageFile/listFile',
    method: 'get',
    params: query
  })
}
